<template>
  <div class="div" ref="container">
     <div v-lazy:background-image="lazyImg.imgObj"></div>
  </div>
</template>

<script lang="ts">
import { Component, Prop, Vue } from "vue-property-decorator";
@Component
export default class Background extends Vue {
  @Prop({ default: "" }) readonly src!: string;
  @Prop({ default: "" }) readonly name!: string;
  @Prop({ default: "50px" }) readonly size!: string;
  lazyImg = {
    imgObj: {
      src: this.src,
      error: 'https://firebasestorage.googleapis.com/v0/b/menu-digital-desarrollo.appspot.com/o/icons%2Fbeebot.png?alt=media&token=b7d888e3-db42-43bb-a158-a521e2895e75',
      loading: 'https://firebasestorage.googleapis.com/v0/b/menu-digital-desarrollo.appspot.com/o/icons%2Floader-bee.gif?alt=media&token=b5374c8d-da65-4a89-a448-16aa2c837bf0'
    },
  }

  get letters() {
    return this.name && !this.src ? this.name.charAt(0).toUpperCase() : "";
  }
}
</script>

<style scoped>
.div div {
  background: rgb(247, 247, 247);
  /* background-image: url("../assets/img/beebot.png"); */
  background-size: contain;
  display: flex;
  justify-content: center;
  position: relative;
  object-fit: cover;
  width: 81px;
  height: 80px;
  -moz-border-radius: 50%;
  -webkit-border-radius: 50%;
  border-radius: 50%;
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
}
</style>